## org.apache.poi.hslf.record
Class TextSpecInfoAtom.TextSpecInfoRun

    java.lang.Object
      org.apache.poi.hslf.record.TextSpecInfoAtom.TextSpecInfoRun

Enclosing class:
  TextSpecInfoAtom

    public static class TextSpecInfoAtom.TextSpecInfoRun

extends java.lang.Object

Field Summary
`protected short` `altLangId`
`protected short` `langId`
`protected int` `len`
`protected int` `mask`
`protected short` `spellInfo`

Constructor Summary
`TextSpecInfoAtom.TextSpecInfoRun()`

Method Summary
`short` `getAltLangId()` Alternate Windows LANGID of this text; must be a valid non-East Asian LANGID if the text has an East Asian language, otherwise may be an East Asian LANGID or language neutral (zero).
`short` `getLangId()` Windows LANGID for this text.
`short` `getSpellInfo()` Spelling status of this text.
`int` `length()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### len

    protected int len

### mask

    protected int mask

### spellInfo

    protected short spellInfo

### langId

    protected short langId

### altLangId

    protected short altLangId

Constructor Detail

### TextSpecInfoAtom.TextSpecInfoRun

    public TextSpecInfoAtom.TextSpecInfoRun()

Method Detail

### getSpellInfo

    public short getSpellInfo()

  Spelling status of this text. See Spell Info table below.

  Spell Info Types:

  - 0 Unchecked
  - 1 Previously incorrect, needs rechecking
  - 2 Correct
  - 3 Incorrect

  Returns:
    Spelling status of this text

### getLangId

    public short getLangId()

  Windows LANGID for this text.

  Returns:
    Windows LANGID for this text.

### getAltLangId

    public short getAltLangId()

  Alternate Windows LANGID of this text; must be a valid non-East Asian LANGID if the text has an East Asian language, otherwise may be an East Asian LANGID or language neutral (zero).

  Returns:
    Alternate Windows LANGID of this text

### length

    public int length()

  Returns:
    Length of special info run.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.